Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.testbed
Class TestbedOptions

    java.lang.Object
      org.jbox2d.testbed.TestbedOptions

    public class TestbedOptions

extends java.lang.Object

A hacked together GUI used to set options in TestSettings for an example. Implements checkboxes and integer sliders, and reads all variables from a TestSettings objects and makes them controllable through reflection.
Not a very elegant solution at all, but for a simple window and some checkboxes it does the trick. There's probably very little here that a JBox2d user will find useful.

Field Summary
`float` | `borderWidth`
`java.util.ArrayList<org.jbox2d.testbed.TestbedOptions.Checkbox>` | `checkBoxes`
`static float` | `checkboxSize`
`TestbedMain` | `p`
`static float` | `padding`
`TestSettings` | `settings`
`java.util.ArrayList<org.jbox2d.testbed.TestbedOptions.SliderInt>` | `sliderInts`
`static float` | `sliderWidth`
`java.lang.String` | `titleString`

Constructor Summary
`TestbedOptions(TestbedMain _p)`

Method Summary
`void` | `handleOptions()`
`void` | `initialize(AbstractExample test)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### checkboxSize

    public static float checkboxSize

### padding

    public static float padding

### sliderWidth

    public static float sliderWidth

### borderWidth

    public float borderWidth

### p

    public TestbedMain p

### checkBoxes

    public java.util.ArrayList<org.jbox2d.testbed.TestbedOptions.Checkbox> checkBoxes

### sliderInts

    public java.util.ArrayList<org.jbox2d.testbed.TestbedOptions.SliderInt> sliderInts

### titleString

    public java.lang.String titleString

### settings

    public TestSettings settings

Constructor Detail

### TestbedOptions

    public TestbedOptions(TestbedMain _p)

Method Detail

### initialize

    public void initialize(AbstractExample test)

### handleOptions

    public void handleOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD